return function(B, H)
return {
	[B.M.next_finish] = 'ctrl+right',
	[B.M.prev_start] = 'ctrl+left',
	[B.M.forward_down] = 'alt+right',
	[B.M.backward_up] = 'alt+left',
	[B.M.forward_up] = 'alt+up',
	[B.M.backward_down] = 'alt+down',
	[B.M.para_down] = 'ctrl+down',
	[B.M.para_up] = 'ctrl+up',
	[B.M.next_section] = 'ctrl+pgdn',
	[B.M.prev_section] = 'ctrl+pgup',
	[B.T.mark_sexp] = 'ctrl+shift+right',
	[B.T.mark_sexp_backwards] = 'ctrl+shift+left',
	[B.T.mark_defun] = {'ctrl+P', 'ctrl+shift+down', 'ctrl+shift+up'},
	[B.T.expand_region] = 'ctrl+M',
	[B.T.line_end_extend] = 'shift+end',
	[B.T.home_extend] = 'shift+home',
	[B.I.split_sexp] = 'ctrl+alt+/',
	[B.I.join_sexps] = 'ctrl+J',
	[B.I.forward_slurp] = 'ctrl+alt+.',
	[B.I.backward_barf] = 'ctrl+alt+>',
	[B.I.forward_barf] = 'ctrl+alt+,',
	[B.I.backward_slurp] = 'ctrl+alt+<',
	[B.I.raise_sexp] = 'ctrl+alt+i',
	[B.I.convolute_sexp] = 'alt+?',
	[B.I.splice_sexp] = 'ctrl+alt+\\',
	[B.I.enclose_round] = 'alt+(',
	[B.I.enclose_square] = 'alt+[',
	[B.I.enclose_curly] = 'alt+{',
	[B.I.enclose_doublequote] = 'alt+"',
	[B.I.block_comment] = 'ctrl+/',
	[B.I.splice_sexp_killing_forward1] = 'ctrl+alt+up',
	[B.I.splice_sexp_killing_backward1] = 'ctrl+alt+left',
	[B.I.forward_delete] = 'del',
	[B.I.backward_delete] = '\b',
	[B.I.copy] = {'ctrl+c', 'ctrl+ins'},
	[H.A.paste_reindent] = {'ctrl+v', 'ctrl+V', 'shift+ins'},
	[B.I.transpose_chars] = 'ctrl+t',
	[B.I.reindent_defun] = {'\t', 'shift+\t'},
	[B.I.kill1] = 'ctrl+shift+del',
	[B.I.kill_sexp1] = 'ctrl+del',
	[B.I.cut] = {'ctrl+x', 'shift+del'},
	[B.I.backward_kill_line1] = 'ctrl+shift+\b',
	[B.I.backward_kill_sexp1] = 'ctrl+\b',
	[B.I.eval_defun] = 'ctrl+r',
}
end
